{
  "getAllPSPanelFields" : [ {
    "id" : "field_text_dynamic",
    "viewFieldName" : "TESTID"
  }, {
    "id" : "field_text_dynamic1",
    "viewFieldName" : "TESTNAME"
  }, {
    "id" : "field_textbox",
    "viewFieldName" : "TESTNAME"
  }, {
    "id" : "field_textbox1",
    "viewFieldName" : "TESTNAME"
  }, {
    "id" : "field_textbox2",
    "viewFieldName" : "TESTNAME"
  } ],
  "codeName" : "Usr0522433048",
  "controlType" : "PANEL",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository/PSPANELS/Usr0522433048.json",
  "layoutMode" : "TABLE_24COL",
  "logicName" : "List_列表项面板",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
  },
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRootPSPanelItems" : [ {
    "caption" : "栅格容器",
    "itemStyle" : "DEFAULT",
    "itemType" : "CONTAINER",
    "name" : "container_grid",
    "getPSLayout" : {
      "layout" : "SIMPLEFLEX"
    },
    "getPSLayoutPos" : {
      "colMD" : 24,
      "layout" : "TABLE_24COL"
    },
    "getPSPanelItems" : [ {
      "caption" : "面板容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container",
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "grow" : 6,
        "layout" : "SIMPLEFLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "文本(动态)",
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "field_text_dynamic",
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "field_text_dynamic",
          "predefinedType" : "FIELD_TEXT_DYNAMIC",
          "renderMode" : "TEXT_DYNAMIC",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "viewFieldName" : "TESTID",
        "hidden" : false,
        "showCaption" : false
      } ]
    }, {
      "caption" : "面板容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container1",
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "grow" : 6,
        "layout" : "SIMPLEFLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "文本(动态)",
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "field_text_dynamic1",
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "field_text_dynamic1",
          "predefinedType" : "FIELD_TEXT_DYNAMIC",
          "renderMode" : "TEXT_DYNAMIC",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "viewFieldName" : "TESTNAME",
        "hidden" : false,
        "showCaption" : false
      } ]
    } ],
    "predefinedType" : "CONTAINER_GRID"
  }, {
    "caption" : "文本框",
    "contentHeight" : 60.0,
    "contentWidth" : 400.0,
    "height" : 60.0,
    "itemStyle" : "DEFAULT",
    "itemType" : "FIELD",
    "name" : "field_textbox",
    "getPSEditor" : {
      "editorHeight" : 60.0,
      "editorType" : "RAW",
      "editorWidth" : 400.0,
      "name" : "field_textbox",
      "predefinedType" : "FIELD_TEXTBOX"
    },
    "getPSLayoutPos" : {
      "colMD" : 24,
      "height" : 60,
      "heightMode" : "PX",
      "layout" : "TABLE_24COL",
      "width" : 400,
      "widthMode" : "PX"
    },
    "viewFieldName" : "TESTNAME",
    "width" : 400.0,
    "hidden" : false,
    "showCaption" : false
  }, {
    "caption" : "文本框",
    "contentHeight" : 100.0,
    "contentWidth" : 600.0,
    "height" : 100.0,
    "itemStyle" : "DEFAULT",
    "itemType" : "FIELD",
    "name" : "field_textbox1",
    "getPSEditor" : {
      "editorHeight" : 100.0,
      "editorParams" : {
        "contenttype" : "RAW"
      },
      "editorType" : "RAW",
      "editorWidth" : 600.0,
      "name" : "field_textbox1",
      "predefinedType" : "FIELD_TEXTBOX"
    },
    "getPSLayoutPos" : {
      "colMD" : 24,
      "height" : 100,
      "heightMode" : "PX",
      "layout" : "TABLE_24COL",
      "width" : 600,
      "widthMode" : "PX"
    },
    "viewFieldName" : "TESTNAME",
    "width" : 600.0,
    "hidden" : false,
    "showCaption" : false
  }, {
    "caption" : "文本框",
    "itemStyle" : "DEFAULT",
    "itemType" : "FIELD",
    "name" : "field_textbox2",
    "getPSEditor" : {
      "contentType" : "HTML",
      "editorParams" : {
        "contenttype" : "HTML"
      },
      "editorType" : "RAW",
      "name" : "field_textbox2",
      "predefinedType" : "FIELD_TEXTBOX"
    },
    "getPSLayoutPos" : {
      "colMD" : 24,
      "layout" : "TABLE_24COL"
    },
    "viewFieldName" : "TESTNAME",
    "hidden" : false,
    "showCaption" : false
  } ],
  "modelid" : "01B1D530-723C-4CB4-A877-5F5E3CFC11AF",
  "modeltype" : "PSSYSVIEWPANEL"
}